Post Reply

[APP] [CM11] Minimal Gapps (gapps-kk-20140620-2)

OP Tsjoklat

19th June 2014, 12:43 AM   |  #31  
Tsjoklat's Avatar
OP Senior Member
Thanks Meter: 2,224
 
1,622 posts
Join Date:Joined: Apr 2010
I have reverted my gapps package back to gapps-kk-20140606-1 and have also created a minimal gapps package for this version (gapps-kk-20140606-1-minimal-signed.zip)

ART framework should now work as expected with these versions.

After some testing, I have reverted back to my previous version 20140606-1 of gapps because the new libraries found on the Nexus 5 Stock ROM are not fully compatible with CM11.

Links to the normal and minimal gapps packages can be found on the OP. These versions of gapps should solve all of the reported issues.

Thanks for testing.
The Following 4 Users Say Thank You to Tsjoklat For This Useful Post: [ View ]
21st June 2014, 12:38 AM   |  #32  
Tsjoklat's Avatar
OP Senior Member
Thanks Meter: 2,224
 
1,622 posts
Join Date:Joined: Apr 2010
gapps-kk-20140620-1-signed.zip
Updated OP with Standard and Minimal Gapps for Android 4.4.4.

Notes: Dirty flash on top of previous gapps (gapps-kk-20140606-1) is suggested upgrade method. You don't need to format /system and reflash the ROM. Just flash new gapps and that is it (if you are updating from my previous version).
Last edited by Tsjoklat; 21st June 2014 at 12:51 AM.
The Following 6 Users Say Thank You to Tsjoklat For This Useful Post: [ View ]
27th June 2014, 05:23 AM   |  #33  
CWGSM3VO's Avatar
Senior Member
Thanks Meter: 216
 
738 posts
Join Date:Joined: Jan 2012
More
Quote:
Originally Posted by Tsjoklat

Upon further testing with CalendarProvider.apk, it appears that the stock CM calendar application does not function properly anymore. The stock CM calendar application is unable to respond to scheduling appointments in the agenda via gmail notifications when using CalendarProvider.apk. The only way to use CalendarProvider.apk is to remove the stock CM calendar application and replace it with Google's Calendar application. Therefore, I have removed the CalendarProvider.apk from gapps and reverted back to GoogleCalendarSyncAdapter.apk. The stock CM calendar application works completely fine with GoogleCalendarSyncAdapter.apk.

I was not able to get this working with your 4.4.4 package. Same problem with stock CM Calendar. When I press "yes" to accept event, it just hangs the email client (pressing back will kill the app, long-press). I have to export the ICS file and import it with a 3rd party tool. I know this used to work but I've tried several gapps packages and all do the same. If I disable CM Calender and download Google Calendar, it opens Chrome and tells me the event was sent to my personal email address and not my Google address and can't add it.

Very frustrating. Hope someone comes up with a working fix.
27th June 2014, 09:15 AM   |  #34  
Tsjoklat's Avatar
OP Senior Member
Thanks Meter: 2,224
 
1,622 posts
Join Date:Joined: Apr 2010
Quote:
Originally Posted by CWGSM3VO

I was not able to get this working with your 4.4.4 package. Same problem with stock CM Calendar. When I press "yes" to accept event, it just hangs the email client (pressing back will kill the app, long-press). I have to export the ICS file and import it with a 3rd party tool. I know this used to work but I've tried several gapps packages and all do the same. If I disable CM Calender and download Google Calendar, it opens Chrome and tells me the event was sent to my personal email address and not my Google address and can't add it.

Very frustrating. Hope someone comes up with a working fix.

Hmm. I just tested responding to calendar events from gmail with 4.4.4 and it worked as expected. Maybe it is because I am only syncing calendar events from only one gmail account. Have you enabled the calendar sync in the account settings?

Edit: make sure you follow the upgrade instructions on the OP where the first step is to format /system. Maybe the problem is just an installation issue.
Last edited by Tsjoklat; 27th June 2014 at 09:53 AM.
27th June 2014, 01:45 PM   |  #35  
CWGSM3VO's Avatar
Senior Member
Thanks Meter: 216
 
738 posts
Join Date:Joined: Jan 2012
More
Quote:
Originally Posted by Tsjoklat

Hmm. I just tested responding to calendar events from gmail with 4.4.4 and it worked as expected. Maybe it is because I am only syncing calendar events from only one gmail account. Have you enabled the calendar sync in the account settings?

Edit: make sure you follow the upgrade instructions on the OP where the first step is to format /system. Maybe the problem is just an installation issue.

It doesn't seem to matter what version of Gapps I use, same problem. I always do a clean install when installing them (so format /system). I'm not responding to calendar events in my GMail but rather the stock CM Email client. It's a Google calendar invite and gives me the option of Yes/No/Maybe/More Options and hangs on this. Logcat shows it's having a problem with the calendar provider.

Fairly certain it was working sometime ago between 4.4.2 and 4.4.4 Just need to find the magic combo again I guess. End of the day, it doesn't understand .ICS attachments (need 3rd party to merge into Calendar). I suppose I can just migrate over to GMail and see how it works out.
27th June 2014, 03:58 PM   |  #36  
Tsjoklat's Avatar
OP Senior Member
Thanks Meter: 2,224
 
1,622 posts
Join Date:Joined: Apr 2010
You are right. It's working in gmail, but not in the stock email client.

Edit: GoogleCalendarSyncAdapater.apk is currently version 4.4-927798 (which is the same version since Android 4.4.2).
Last edited by Tsjoklat; 27th June 2014 at 09:42 PM.
11th July 2014, 01:46 PM   |  #37  
Tsjoklat's Avatar
OP Senior Member
Thanks Meter: 2,224
 
1,622 posts
Join Date:Joined: Apr 2010
gapps-kk-20140620-2-signed.zip
Ive uploaded a new version of gapps with the following changes:

1) Remove ConfigUpdater.apk to prevent system wide changes to selinux and internal firewall policies
2) Update ChromeBookmarksSyncAdapter.apk to 4.4-927798
3) Remove some unused system libraries

lib/libpatts_engine_jni_api.so (for old version of Text to Speech)
lib/libplus_jni_v8.so (for Google+)
lib/libWVphoneAPI.so (for Google Movies)

These libraries would only need to be installed if Google+ and Google Movies are installed as system applications. If these applications are installed from the play store, then these libraries are already included in the apk files.

4) Update Google Search (Velvet.apk)



Note: If you already have ConfigUpdater.apk installed, in order to remove the policy changes from ConfigUpdater.apk, it might be necessary to factory reset.
Last edited by Tsjoklat; 11th July 2014 at 03:25 PM.
The Following 6 Users Say Thank You to Tsjoklat For This Useful Post: [ View ]
16th October 2014, 12:13 AM   |  #38  
fr4n's Avatar
Senior Member
Flag Paraisópolis
Thanks Meter: 75
 
277 posts
Join Date:Joined: Nov 2013
More
Do you plan to update those Gapps again in a future moment?
16th October 2014, 12:27 AM   |  #39  
Tsjoklat's Avatar
OP Senior Member
Thanks Meter: 2,224
 
1,622 posts
Join Date:Joined: Apr 2010
Sure, I will post updated gapps packages if there are any changes or patches needed. Most of the components within the gapps package update through the play store and the 4.4.4 framework files have not changed since 4.4.4 was released.

The Following 2 Users Say Thank You to Tsjoklat For This Useful Post: [ View ]
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


Top Threads in Galaxy Tab 2 7" Android Development by ThreadRank